Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPathValidatorSpi

    java.lang.Object
      java.security.cert.CertPathValidatorSpi
          org.bouncycastle.jce.provider.PKIXCertPathValidatorSpi

    public class PKIXCertPathValidatorSpi

extends java.security.cert.CertPathValidatorSpi

CertPathValidatorSpi implementation for X.509 Certificate validation � la RFC 3280.

Constructor Summary
`PKIXCertPathValidatorSpi()`

Method Summary
`java.security.cert.CertPathValidatorResult` | `engineValidate(java.security.cert.CertPath certPath, java.security.cert.CertPathParameters params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXCertPathValidatorSpi

    public PKIXCertPathValidatorSpi()

Method Detail

### engineValidate

    public java.security.cert.CertPathValidatorResult engineValidate(java.security.cert.CertPath certPath,
                                                                     java.security.cert.CertPathParameters params)
                                                              throws java.security.cert.CertPathValidatorException,
                                                                     java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineValidate` in class `java.security.cert.CertPathValidatorSpi`
  Throws:
    `java.security.cert.CertPathValidatorException`
    `java.security.InvalidAlgorithmParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD